### Enumeration

# Atspi ScrollType

#### Declaration

    enum Atspi.ScrollType

#### Description [src]

Enumeration used by interface `AtspiAccessible` to specify where an `AtspiAccessible` object should be placed on the screen when using scroll_to.

#### Members

`ATSPI_SCROLL_TOP_LEFT`

  Scroll the object to the top left corner of the window.

  - Value: `0`
  - Available since: 2.0
`ATSPI_SCROLL_BOTTOM_RIGHT`

  Scroll the object to the bottom right corner of the window.

  - Value: `1`
  - Available since: 2.0
`ATSPI_SCROLL_TOP_EDGE`

  Scroll the object to the top edge of the window.

  - Value: `2`
  - Available since: 2.0
`ATSPI_SCROLL_BOTTOM_EDGE`

  Scroll the object to the bottom edge of the window.

  - Value: `3`
  - Available since: 2.0
`ATSPI_SCROLL_LEFT_EDGE`

  Scroll the object to the left edge of the window.

  - Value: `4`
  - Available since: 2.0
`ATSPI_SCROLL_RIGHT_EDGE`

  Scroll the object to the right edge of the window.

  - Value: `5`
  - Available since: 2.0
`ATSPI_SCROLL_ANYWHERE`

  Scroll the object to application-dependent position on the window.

  - Value: `6`
  - Available since: 2.0